test: tagCBox struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagCBox Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

tagWND * | spwnd
tagWND * | spwndParent
RECT | editrc
RECT | buttonrc
int | cxCombo
int | cyCombo
int | cxDrop
int | cyDrop
tagWND * | spwndEdit
tagWND * | spwndList
UINT | CBoxStyle:2
UINT | fFocus:1
UINT | fNoRedraw:1
UINT | fMouseDown:1
UINT | fButtonPressed:1
UINT | fLBoxVisible:1
UINT | OwnerDraw:2
UINT | fKeyboardSelInListBox:1
UINT | fExtendedUI:1
UINT | fCase:2
UINT | f3DCombo:1
UINT | fNoEdit:1
UINT | fRightAlign:1
UINT | fRtoLReading:1
HANDLE | hFont
LONG | styleSave
PWND | spwnd
PWND | spwndParent
PWND | spwndEdit
PWND | spwndList

## Member Data Documentation

RECT tagCBox::buttonrc

| Definition at line 1872 of file inc/user.h. Referenced by _GetComboBoxInfo(), ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBPaint(), xxxCBSetEditItemHeight(), xxxCBShowListBoxWindow(), and xxxPressButton().

UINT tagCBox::CBoxStyle

| Definition at line 1882 of file inc/user.h. Referenced by _GetComboBoxInfo(), ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBCreateHandler(), xxxCBGetFocusHelper(), xxxCBHideListBoxWindow(), xxxCBKillFocusHelper(), xxxCBSetEditItemHeight(), xxxCBShowListBoxWindow(), and xxxLBoxCtlKeyInput().

int tagCBox::cxCombo

| Definition at line 1874 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBCreateHandler(), xxxCBHideListBoxWindow(), xxxCBPaint(), xxxCBSetEditItemHeight(), xxxCBShowListBoxWindow(), and xxxCBSizeHandler().

int tagCBox::cxDrop

| Definition at line 1876 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBCreateHandler(), xxxCBSetEditItemHeight(), and xxxCBShowListBoxWindow().

int tagCBox::cyCombo

| Definition at line 1875 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBHideListBoxWindow(), xxxCBPaint(), xxxCBSetEditItemHeight(), xxxCBShowListBoxWindow(), and xxxCBSizeHandler().

int tagCBox::cyDrop

| Definition at line 1877 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBCreateHandler(), xxxCBSetEditItemHeight(), xxxCBShowListBoxWindow(), and xxxCBSizeHandler().

RECT tagCBox::editrc

| Definition at line 1870 of file inc/user.h. Referenced by _GetComboBoxInfo(), ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBCreateHandler(), xxxCBHideListBoxWindow(), xxxCBInternalUpdateEditWindow(), xxxCBPosition(), xxxCBSetEditItemHeight(), and xxxCBShowListBoxWindow().

UINT tagCBox::f3DCombo

| Definition at line 1905 of file inc/user.h. Referenced by CBNcCreateHandler(), xxxCBPaint(), xxxCBShowListBoxWindow(), and xxxPressButton().

UINT tagCBox::fButtonPressed

| Definition at line 1887 of file inc/user.h. Referenced by _GetComboBoxInfo(), ComboBoxWndProcWorker(), xxxCBPaint(), and xxxPressButton().

UINT tagCBox::fCase

| Definition at line 1903 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), and xxxCBCreateHandler().

UINT tagCBox::fExtendedUI

| Definition at line 1900 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), and xxxLBoxCtlKeyInput().

UINT tagCBox::fFocus

| Definition at line 1883 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCommandHandler(), xxxCBGetFocusHelper(), xxxCBInternalUpdateEditWindow(), xxxCBInvertStaticWindow(), and xxxCBKillFocusHelper().

UINT tagCBox::fKeyboardSelInListBox

| Definition at line 1893 of file inc/user.h. Referenced by xxxCBCommandHandler(), and xxxLBoxCtlKeyInput().

UINT tagCBox::fLBoxVisible

| Definition at line 1889 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBHideListBoxWindow(), xxxCBInternalUpdateEditWindow(), xxxCBSetDroppedSize(), xxxCBShowListBoxWindow(), and xxxLBoxCtlKeyInput().

UINT tagCBox::fMouseDown

| Definition at line 1885 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), and xxxCBShowListBoxWindow().

UINT tagCBox::fNoEdit

| Definition at line 1906 of file inc/user.h. Referenced by ComboBoxDBCharHandler(), ComboBoxWndProcWorker(), xxxCBCommandHandler(), xxxCBCreateHandler(), xxxCBGetFocusHelper(), xxxCBInternalUpdateEditWindow(), xxxCBKillFocusHelper(), xxxCBPaint(), xxxCBPosition(), xxxCBSetEditItemHeight(), and xxxCBSetFontHandler().

UINT tagCBox::fNoRedraw

| Definition at line 1884 of file inc/user.h. Referenced by ComboBoxWndProcWorker().

UINT tagCBox::fRightAlign

| Definition at line 1912 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBCreateHandler(), xxxCBInternalUpdateEditWindow(), and xxxCBPaint().

UINT tagCBox::fRtoLReading

| Definition at line 1913 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCreateHandler(), and xxxCBInternalUpdateEditWindow().

HANDLE tagCBox::hFont

| Definition at line 1914 of file inc/user.h. Referenced by ComboBoxWndProcWorker(), xxxCBCalcControlRects(), xxxCBInternalUpdateEditWindow(), and xxxCBSetFontHandler().

UINT tagCBox::OwnerDraw

| Definition at line 1890 of file inc/user.h. Referenced by xxxCBCalcControlRects(), xxxCBCreateHandler(), and xxxCBInternalUpdateEditWindow().

PWND tagCBox::spwnd

| Definition at line 1868 of file inc/user.h.

struct tagWND* tagCBox::spwnd

| Definition at line 1780 of file client/nt6/user.h. Referenced by _GetComboBoxInfo(), xxxCBCalcControlRects(), xxxCBCommandHandler(), xxxCBCompleteEditWindow(), xxxCBCreateHandler(), xxxCBDir(), xxxCBGetFocusHelper(), xxxCBGetTextHelper(), xxxCBHideListBoxWindow(), xxxCBInternalUpdateEditWindow(), xxxCBInvertStaticWindow(), xxxCBKillFocusHelper(), xxxCBMessageItemHandler(), xxxCBNcDestroyHandler(), xxxCBNotifyParent(), xxxCBPaint(), xxxCBSetEditItemHeight(), xxxCBSetFontHandler(), xxxCBShowListBoxWindow(), xxxCBSizeHandler(), xxxCBUpdateListBoxWindow(), xxxLBoxCtlDelete(), xxxLBoxCtlKeyInput(), and xxxPressButton().

PWND tagCBox::spwndEdit

| Definition at line 1879 of file inc/user.h.

struct tagWND* tagCBox::spwndEdit

| Definition at line 1791 of file client/nt6/user.h. Referenced by _GetComboBoxInfo(), ComboBoxDBCharHandler(), ComboBoxWndProcWorker(), xxxCBCommandHandler(), xxxCBCompleteEditWindow(), xxxCBCreateHandler(), xxxCBGetFocusHelper(), xxxCBInternalUpdateEditWindow(), xxxCBKillFocusHelper(), xxxCBNcDestroyHandler(), xxxCBPaint(), xxxCBPosition(), xxxCBSetEditItemHeight(), xxxCBSetFontHandler(), xxxCBUpdateListBoxWindow(), and xxxTrackMouse().

PWND tagCBox::spwndList

| Definition at line 1880 of file inc/user.h.

struct tagWND* tagCBox::spwndList

| Definition at line 1792 of file client/nt6/user.h. Referenced by _GetComboBoxInfo(), ComboBoxDBCharHandler(), ComboBoxWndProcWorker(), DlgDirSelectComboBoxExW(), xxxCBCommandHandler(), xxxCBCompleteEditWindow(), xxxCBCreateHandler(), xxxCBDir(), xxxCBGetFocusHelper(), xxxCBGetTextHelper(), xxxCBGetTextLengthHelper(), xxxCBHideListBoxWindow(), xxxCBInternalUpdateEditWindow(), xxxCBKillFocusHelper(), xxxCBNcDestroyHandler(), xxxCBSetDroppedSize(), xxxCBSetEditItemHeight(), xxxCBSetFontHandler(), xxxCBShowListBoxWindow(), xxxCBUpdateListBoxWindow(), and xxxDlgDirListHelper().

PWND tagCBox::spwndParent

| Definition at line 1869 of file inc/user.h.

struct tagWND* tagCBox::spwndParent

| Definition at line 1781 of file client/nt6/user.h. Referenced by xxxCBCalcControlRects(), xxxCBCreateHandler(), xxxCBInternalUpdateEditWindow(), xxxCBMessageItemHandler(), xxxCBNcDestroyHandler(), and xxxCBNotifyParent().

LONG tagCBox::styleSave

| Definition at line 1915 of file inc/user.h. Referenced by CBNcCreateHandler(), and xxxCBCreateHandler().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h